// -*- C++ -*-
//
// TdcModule.cc
//
// Mon Jul 15 09:00:04 JST 2002
// Mitsuhiro YAMAGA
//
// $Id: TdcModule.cc,v 1.2 2002/12/01 14:36:16 yamaga Exp $
//
// $Log: TdcModule.cc,v $
// Revision 1.2  2002/12/01 14:36:16  yamaga
// Added Id and Log.
//
//
//

#include <iostream>
#include "unpack/TdcModule.h"

//
TdcModule::TdcModule( int crate, int ma )
  : m_crate( crate ),
    m_ma( ma )
{
  //
  for( int i=0;i<MAX_TDC_CH;i++ )
    m_ch[i] = -1;
}

//
TdcModule::~TdcModule()
{
  //
}

//
void
TdcModule::show() const
{
  std::cout << "Crate#" << m_crate
            << " MA#" << m_ma
            << " ch=";
  for( int i=0;i<MAX_TDC_CH;i++ ){
    std::cout << " " << m_ch[i];
  }
  std::cout << std::endl;
}

//
std::ostream&
operator<<( std::ostream& out, const TdcModule& m )
{
  out << "Crate#" << m.m_crate
      << " MA#" << m.m_ma
      << " ch=";
  for( int i=0;i<MAX_TDC_CH;i++ ){
    out << " " << m.m_ch[i];
  }
  
  return( out );
}
