/* -*- C -*-

   hpss_bufapi.h

   Author:  Mitsuhiro YAMAGA
   Created: Wed Dec 11 22:57:06 JST 2002

   $Id: hpss_bufapi.h,v 1.1 2002/12/11 14:11:07 yamaga Exp $

   Revision History

   $Log: hpss_bufapi.h,v $
   Revision 1.1  2002/12/11 14:11:07  yamaga
   Imported package.


*/
#ifndef HPSS_BUFAPI_H
#define HPSS_BUFAPI_H


static char rcsid_hpss_bufapi_h[] = "@(#) $Id: hpss_bufapi.h,v 1.1 2002/12/11 14:11:07 yamaga Exp $";


#include <unistd.h>
#include "hpss_types.h"

int hpss_Bufcreate(char *filename, int flags, int mode, 
             unsigned long long filesize);

int hpss_Bufopen(char *filename, int flags, int mode);

int hpss_Bufread(int fd, void *buffer, size_t size);

int hpss_Bufwrite(int fd, void *buffer, size_t size);

int hpss_Bufclose(int fd);

off_t hpss_Bufseek(int fd, off_t len, int pos);

int hpss_Bufsize(int fd, int size);

int hpss_BufreopenAll( int nhfd, const int hfdlist[], int newhfdlist[] );

#endif

